## org.apache.poi.hwpf.model
Class PlexOfCps

    java.lang.Object
      org.apache.poi.hwpf.model.PlexOfCps

    public final class PlexOfCps

extends java.lang.Object

Plex of CPs stored in File (PLCF) common data structure in a Word file. Contains an array of 4 byte ints in the front that relate to an array of arbitrary data structures in the back. See page 184 of official documentation for details

Author:
  Ryan Ackley

Constructor Summary
`PlexOfCps(byte[] buf, int start, int cb, int cbStruct)` Constructor
`PlexOfCps(int sizeOfStruct)`

Method Summary
`void` `addProperty(GenericPropertyNode node)`
`GenericPropertyNode` `getProperty(int index)`
`int` `length()` returns the number of data structures in this PlexofCps.
`byte[]` `toByteArray()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PlexOfCps

    public PlexOfCps(int sizeOfStruct)

### PlexOfCps

    public PlexOfCps(byte[] buf,
                     int start,
                     int cb,
                     int cbStruct)

  Constructor

  Parameters:
    `cb` - The size of PLCF in bytes
    `cbStruct` - The size of the data structure type stored in this PlexOfCps.

Method Detail

### getProperty

    public GenericPropertyNode getProperty(int index)

### addProperty

    public void addProperty(GenericPropertyNode node)

### toByteArray

    public byte[] toByteArray()

### length

    public int length()

  returns the number of data structures in this PlexofCps.

  Returns:
    The number of data structures in this PlexofCps

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.